# Build the main source code in the correct order
# Unless you know what you are doing, do not change the order of the subdirectories
# as there are dependencies which exist between them.

# Utility Libraries
subdir('types')
subdir('misc')
subdir('config')
subdir('probe')
subdir('dobj')

# Physically Informed Libraries
subdir('const')
subdir('composition')

# Asset Libraries
subdir('eos')
subdir('meshIO')

# Resouce Manager Libraries
subdir('resource')

# Physics Libraries
subdir('network')
subdir('poly')
